The exporter plug-in for Blender 2.6x is called LuxBlend 2.5. As Blender 2.6x finally was released as stable, LuxBlend 2.5 is now targeting the latest stable release. Due to fast evolutions in Blender 2.6x API, older versions of Blender might not be compatible with the latest version of LuxBlend 2.5.

LuxBlend 2.5 exposes virtually all LuxRender features and offers tight Blender integration via the binary pylux module.



The installers for OS X and Windows includes both LuxBlend 2.5 and the pylux module and is the easiest method of installing LuxBlend 2.5. For instructions on how to manually install the addon, please see the LuxBlend 2.5 installation instructions wiki page.

You can also get support in the LuxBlend forum.

Note for Windows users

The pylux module may require the Visual C++ Redistributable Package to be installed, which you can get here (for 32bit Blender) or here (for 64bit Blender). If LuxBlend 2.5 fails to load pylux, try installing the appropriate package.

Community News More...

LuxRender 1.5.1 release

A quick fix has been made available due to a few annoying issues with glossy materials. Please see the announcement for details.


Version 1.5 new features presentation

Don't miss the presentation of version new features in that entertaining video.


LuxRender v1.5 released

We are pleased to provide a new release of LuxRender with lots of improvements and exciting new features.


LuxRender v1.5RC1 released

We are pleased to offer you a new release of LuxRender on our way towards v2.0. Please give it a good testing so that v1.5 final is rock solid.